import java.io.*;

public class Replace {
	public static final char SEP = File.separatorChar;	

	public static void main(String[] args) {
		if (args.length < 2) {
			System.out.println("\n\nConverting pathnames of .java files to package-list for javadoc");
			System.out.println("(c) by Diet_n_Mart the DUDES\n\n");
			System.out.println("Usage:\t java Replace <file-list> <outpunt-file>");
			System.out.println("<file-list> must be generated with ex.: dir /B /S <src-folder> *.java");
			System.out.println("<output-file> with absolute path ex.: C:\\bla\\foo.out");
			System.exit(0);
		}
		File file = new File(args[0]);
		File outFile = new File(args[1]);
		BufferedReader in = null;
		BufferedWriter out = null;
		if (file.exists()) {
		   try {
			System.out.println("have file");
			in = new BufferedReader(new FileReader(file));
			out = new BufferedWriter(new FileWriter(outFile));
		   }
		   catch(Exception e) {
			e.printStackTrace();
		   }
		}
		else { System.out.println("no file"); System.exit(0); }
		String line, last = "";
		try {
		while ((line = in.readLine()) != null) {
			line.replace('/', SEP);
			//System.out.println(line);
			//int start = line.
			int pos = line.lastIndexOf(SEP);
				if (pos > 0) {
					String pkgName = line.substring(29, pos).replace(SEP, '.');
					if (!(last.equals(pkgName))) {
						//System.out.println(pkgName);
						out.write(pkgName + "\n");
						last = pkgName;
					}
				}
		}
		}
		catch(Exception e) {
		e.printStackTrace();
		}
		try {
		in.close();
		out.close();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}
}